## audacious-plugins 4.4.2

=== meson_options.txt ===
# GUI toolkits
option('gtk', type: 'boolean', value: true,
       description: 'Whether GTK support is enabled')
option('gtk2', type: 'boolean', value: false,
       description: 'Whether GTK 2 support is enabled')
option('qt', type: 'boolean', value: true,
       description: 'Whether Qt support is enabled')
option('qt5', type: 'boolean', value: false,
       description: 'Whether Qt 5 support is enabled')


# container plugins
option('cue', type: 'boolean', value: true,
       description: 'Whether libcue support is enabled')


# transport plugins
option('mms', type: 'boolean', value: true,
       description: 'Whether the libmms MMS client is enabled')
option('neon', type: 'boolean', value: true,
       description: 'Whether the neon HTTP client is enabled')


# input plugins
option('aac', type: 'boolean', value: true,
       description: 'Whether the FAAD-based raw AAC plugin is enabled')
option('adplug', type: 'boolean', value: true,
       description: 'Whether AdPlug support is enabled')
option('amidiplug', type: 'boolean', value: true,
       description: 'Whether AMidiPlug plugin is enabled')
option('cdaudio', type: 'boolean', value: true,
       description: 'Whether CD audio support is enabled')
option('cdaudio-cddb', type: 'boolean', value: true,
       description: 'Whether CDDB support for the Audio CD plugin is enabled')
option('console', type: 'boolean', value: true,
       description: 'Whether Game Music Emu support is enabled')
option('ffaudio', type: 'boolean', value: true,
       description: 'Whether FFmpeg support is enabled')
option('flac', type: 'boolean', value: true,
       description: 'Whether FLAC support is enabled')
option('modplug', type: 'boolean', value: true,
       description: 'Whether ModPlug support is enabled')
option('mpg123', type: 'boolean', value: true,
       description: 'Whether MPG123 support is enabled')
option('openmpt', type: 'boolean', value: true,
       description: 'Whether OpenMPT support is enabled')
option('opus', type: 'boolean', value: true,
       description: 'Whether Opus support is enabled')
option('sid', type: 'boolean', value: true,
       description: 'Whether SID emulation support is enabled')
option('sndfile', type: 'boolean', value: true,
       description: 'Whether libsndfile support is enabled')
option('vorbis', type: 'boolean', value: true,
       description: 'Whether Ogg Vorbis support is enabled')
option('wavpack', type: 'boolean', value: true,
       description: 'Whether WavPack support is enabled')


# output plugins
option('alsa', type: 'boolean', value: true,
       description: 'Whether ALSA support is enabled')
option('coreaudio', type: 'boolean', value: true,
       description: 'Whether CoreAudio support is enabled')
option('filewriter', type: 'boolean', value: true,
       description: 'Whether FileWriter (transcoding) support is enabled')
option('filewriter-flac', type: 'boolean', value: true,
       description: 'Whether FileWriter (transcoding) FLAC support is enabled')
option('filewriter-mp3', type: 'boolean', value: true,
       description: 'Whether FileWriter (transcoding) MP3 support is enabled')
option('filewriter-ogg', type: 'boolean', value: true,
       description: 'Whether FileWriter (transcoding) OGG support is enabled')
option('jack', type: 'boolean', value: true,
       description: 'Whether JACK support is enabled')
option('oss', type: 'boolean', value: true,
       description: 'Whether OSS support is enabled')
option('pipewire', type: 'boolean', value: true,
       description: 'Whether PipeWire support is enabled')
option('pulse', type: 'boolean', value: true,
       description: 'Whether PulseAudio support is enabled')
option('qtaudio', type: 'boolean', value: true,
       description: 'Whether QtMultimedia support is enabled')
option('sdlout', type: 'boolean', value: true,
       description: 'Whether SDL support is enabled')
option('sndio', type: 'boolean', value: true,
       description: 'Whether sndio support is enabled')


# general plugins
option('ampache', type: 'boolean', value: true,
       description: 'Whether the Ampache browser plugin is enabled')
option('aosd', type: 'boolean', value: true,
       description: 'Whether the OSD plugin (X11) is enabled')
option('hotkey', type: 'boolean', value: true,
       description: 'Whether the global hotkey plugin (X11) is enabled')
option('lirc', type: 'boolean', value: true,
       description: 'Whether the LIRC plugin is enabled')
option('mac-media-keys', type: 'boolean', value: false,
       description: 'Whether the Mac Media Keys plugin is enabled')
option('mpris2', type: 'boolean', value: true,
       description: 'Whether MPRIS 2.0 support is enabled')
option('notify', type: 'boolean', value: true,
       description: 'Whether the libnotify OSD plugin is enabled')
option('scrobbler2', type: 'boolean', value: true,
       description: 'Whether the Last.fm Scrobbler plugin is enabled')
option('songchange', type: 'boolean', value: true,
       description: 'Whether the Song Change plugin is enabled')
option('streamtuner', type: 'boolean', value: false,
       description: 'Whether the Stream Tuner plugin is enabled')


# effect plugins
option('bs2b', type: 'boolean', value: true,
       description: 'Whether the BS2B effect plugin is enabled')
option('resample', type: 'boolean', value: true,
       description: 'Whether the resample effect plugin is enabled')
option('soxr', type: 'boolean', value: true,
       description: 'Whether the SoX resampler effect plugin is enabled')
option('speedpitch', type: 'boolean', value: true,
       description: 'Whether the speed / pitch effect plugin is enabled')


# visualization plugins
option('gl-spectrum', type: 'boolean', value: true,
       description: 'Whether the OpenGL spectrum visualization plugin is enabled')
option('vumeter', type: 'boolean', value: true,
       description: 'Whether the VUMeter visualization plugin is enabled')


# interface plugins
option('moonstone', type: 'boolean', value: false,
       description: 'Whether the Moonstone UI plugin is enabled')

=== src/background_music/Makefile ===
PLUGIN = background_music${PLUGIN_SUFFIX}

SRCS = background_music.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${EFFECT_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../..
LIBS += -lm

=== src/cue/Makefile ===
PLUGIN = cue${PLUGIN_SUFFIX}

SRCS = cue.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${CONTAINER_PLUGIN_DIR}

LD = ${CXX}

CPPFLAGS += -I../.. ${PLUGIN_CPPFLAGS} ${CUE_CFLAGS}
CFLAGS += ${PLUGIN_CFLAGS}
LIBS += ${CUE_LIBS}

=== src/lyrics-gtk/Makefile ===
PLUGIN = lyrics-gtk${PLUGIN_SUFFIX}

SRCS = ../lyrics-common/chart_lyrics_provider.cc \
       ../lyrics-common/file_provider.cc \
       ../lyrics-common/lyrics_ovh_provider.cc \
       ../lyrics-common/utils.cc \
       lyrics-gtk.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} ${JSON_GLIB_CFLAGS} ${XML_CFLAGS} -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${JSON_GLIB_LIBS} ${XML_LIBS} -laudgui

=== src/lyrics-qt/Makefile ===
PLUGIN = lyrics-qt${PLUGIN_SUFFIX}

SRCS = ../lyrics-common/chart_lyrics_provider.cc \
       ../lyrics-common/file_provider.cc \
       ../lyrics-common/lyrics_ovh_provider.cc \
       ../lyrics-common/utils.cc \
       lyrics-qt.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${QT_CFLAGS} ${GLIB_CFLAGS} ${XML_CFLAGS} -I../..
LIBS += ${QT_LIBS} ${GLIB_LIBS} ${XML_LIBS}

=== src/openmpt/Makefile ===
PLUGIN = openmpt${PLUGIN_SUFFIX}

SRCS = mpt.cc \
       mptwrap.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CXXFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${OPENMPT_CFLAGS} -I../..
LIBS += ${OPENMPT_LIBS}

=== src/opus/Makefile ===
PLUGIN = opus${PLUGIN_SUFFIX}

SRCS = opus.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${OPUS_CFLAGS} -I../..
LIBS += ${OPUS_LIBS}

=== src/pipewire/Makefile ===
PLUGIN = pipewire${PLUGIN_SUFFIX}

SRCS = pipewire.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${OUTPUT_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${PIPEWIRE_CFLAGS} -I../..
LIBS += ${PIPEWIRE_LIBS}

=== src/qt-spectrum/Makefile ===
PLUGIN = qt-spectrum${PLUGIN_SUFFIX}

SRCS = qt-spectrum.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${VISUALIZATION_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../.. ${QT_CFLAGS}
LIBS += -lm ${QT_LIBS} -laudqt

=== src/qtaudio/Makefile ===
PLUGIN = qtaudio${PLUGIN_SUFFIX}

SRCS = qtaudio.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${OUTPUT_PLUGIN_DIR}

LD = ${CXX}
CPPFLAGS += -I../.. ${QT_CFLAGS} ${QTMULTIMEDIA_CFLAGS}
CXXFLAGS += ${PLUGIN_CFLAGS}
LIBS += -lm ${QT_LIBS} ${QTMULTIMEDIA_LIBS}

=== src/skins-data/Makefile ===
include ../../buildsys.mk
include ../../extra.mk

# These overrides variables in buildsys.mk and so must come after it.
PACKAGE_NAME = audacious
DATA = Skins/Classic/balance.png	\
       Skins/Classic/cbuttons.png	\
       Skins/Classic/eq_ex.png		\
       Skins/Classic/eqmain.png		\
       Skins/Classic/main.png		\
       Skins/Classic/monoster.png	\
       Skins/Classic/nums_ex.png	\
       Skins/Classic/playpaus.png	\
       Skins/Classic/pledit.png		\
       Skins/Classic/pledit.txt		\
       Skins/Classic/posbar.png		\
       Skins/Classic/shufrep.png	\
       Skins/Classic/skin-classic.hints	\
       Skins/Classic/skin.hints		\
       Skins/Classic/text.png		\
       Skins/Classic/titlebar.png	\
       Skins/Classic/viscolor.txt	\
       Skins/Classic/volume.png		\
       Skins/Classic1.3/balance.png	\
       Skins/Classic1.3/cbuttons.png	\
       Skins/Classic1.3/eq_ex.png		\
       Skins/Classic1.3/eqmain.png		\
       Skins/Classic1.3/main.png		\
       Skins/Classic1.3/monoster.png	\
       Skins/Classic1.3/nums_ex.png	\
       Skins/Classic1.3/playpaus.png	\
       Skins/Classic1.3/pledit.png		\
       Skins/Classic1.3/pledit.txt		\
       Skins/Classic1.3/posbar.png		\
       Skins/Classic1.3/shufrep.png	\
       Skins/Classic1.3/skin-classic.hints	\
       Skins/Classic1.3/skin.hints		\
       Skins/Classic1.3/text.png		\
       Skins/Classic1.3/titlebar.png	\
       Skins/Classic1.3/viscolor.txt	\
       Skins/Classic1.3/volume.png		\
       Skins/Default/cbuttons.png	\
       Skins/Default/eq_ex.png		\
       Skins/Default/eqmain.png		\
       Skins/Default/main.png		\
       Skins/Default/monoster.png	\
       Skins/Default/nums_ex.png	\
       Skins/Default/playpaus.png	\
       Skins/Default/pledit.png		\
       Skins/Default/pledit.txt		\
       Skins/Default/posbar.png		\
       Skins/Default/shufrep.png	\
       Skins/Default/skin.hints		\
       Skins/Default/text.png		\
       Skins/Default/titlebar.png	\
       Skins/Default/viscolor.txt	\
       Skins/Default/volume.png		\
       Skins/Ivory/balance.png		\
       Skins/Ivory/cbuttons.png		\
       Skins/Ivory/eq_ex.png		\
       Skins/Ivory/eqmain.png		\
       Skins/Ivory/main.png		\
       Skins/Ivory/monoster.png		\
       Skins/Ivory/nums_ex.png		\
       Skins/Ivory/playpaus.png		\
       Skins/Ivory/pledit.png		\
       Skins/Ivory/pledit.txt		\
       Skins/Ivory/posbar.png		\
       Skins/Ivory/shufrep.png		\
       Skins/Ivory/skin.hints		\
       Skins/Ivory/text.png		\
       Skins/Ivory/titlebar.png		\
       Skins/Ivory/viscolor.txt		\
       Skins/Ivory/volume.png		\
       Skins/Osmosis/balance.png	\
       Skins/Osmosis/cbuttons.png	\
       Skins/Osmosis/eq_ex.png		\
       Skins/Osmosis/eqmain.png		\
       Skins/Osmosis/main.png		\
       Skins/Osmosis/monoster.png	\
       Skins/Osmosis/nums_ex.png	\
       Skins/Osmosis/playpaus.png	\
       Skins/Osmosis/pledit.png		\
       Skins/Osmosis/pledit.txt		\
       Skins/Osmosis/posbar.png		\
       Skins/Osmosis/shufrep.png	\
       Skins/Osmosis/skin.hints		\
       Skins/Osmosis/text.png		\
       Skins/Osmosis/titlebar.png	\
       Skins/Osmosis/viscolor.txt	\
       Skins/Osmosis/volume.png		\
       Skins/TinyPlayer/balance.png	\
       Skins/TinyPlayer/cbuttons.png	\
       Skins/TinyPlayer/eq_ex.png	\
       Skins/TinyPlayer/eqmain.png	\
       Skins/TinyPlayer/main.png	\
       Skins/TinyPlayer/monoster.png	\
       Skins/TinyPlayer/nums_ex.png	\
       Skins/TinyPlayer/playpaus.png	\
       Skins/TinyPlayer/pledit.png	\
       Skins/TinyPlayer/pledit.txt	\
       Skins/TinyPlayer/posbar.png	\
       Skins/TinyPlayer/shufrep.png	\
       Skins/TinyPlayer/skin.hints	\
       Skins/TinyPlayer/text.png	\
       Skins/TinyPlayer/titlebar.png	\
       Skins/TinyPlayer/viscolor.txt	\
       Skins/TinyPlayer/volume.png	\
       Skins/Refugee/cbuttons.png	\
       Skins/Refugee/eq_ex.png		\
       Skins/Refugee/eqmain.png		\
       Skins/Refugee/main.png		\
       Skins/Refugee/monoster.png	\
       Skins/Refugee/nums_ex.png	\
       Skins/Refugee/playpaus.png	\
       Skins/Refugee/pledit.png		\
       Skins/Refugee/pledit.txt		\
       Skins/Refugee/posbar.png		\
       Skins/Refugee/shufrep.png	\
       Skins/Refugee/skin.hints		\
       Skins/Refugee/text.png		\
       Skins/Refugee/titlebar.png	\
       Skins/Refugee/viscolor.txt	\
       Skins/Refugee/volume.png

=== src/sndfile/Makefile ===
include ../../extra.mk

PLUGIN = sndfile${PLUGIN_SUFFIX}

SRCS = plugin.cc

include ../../buildsys.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${SNDFILE_CFLAGS} -I../..
LIBS += ${SNDFILE_LIBS} -lm

=== debian/changelog ===
audacious-plugins (4.4.2-3) unstable; urgency=medium

  * Team upload.
  * Drop build-dependency on removed oss4-dev (!linux-any)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 22 Aug 2025 21:44:29 +0200

audacious-plugins (4.4.2-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Use taglib 2.x build-dep packages.

 -- Boyuan Yang <byang@debian.org>  Sat, 15 Feb 2025 16:22:05 -0500

audacious-plugins (4.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 03 Jan 2025 21:08:14 +0100

=== debian/control ===
Source: audacious-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
 Alf Gaida <agaida@siduction.org>,
 Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends:
 audacious-dev (>= 4.4.2~),
 meson,
 debhelper-compat (= 13),
 libarchive-dev,
 libasound2-dev [linux-any],
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libbinio-dev,
 libbs2b-dev,
 libcairo2-dev,
 libcddb2-dev,
 libcdio-cdda-dev,
 libcue-dev,
 libcurl4-gnutls-dev,
 libfaad-dev,
 libflac-dev,
 libfluidsynth-dev [linux-any],
 libgtk-3-dev,
 libjack-dev,
 libjson-glib-dev,
 liblirc-dev,
 libmms-dev,
 libmodplug-dev,
 libmp3lame-dev,
 libmpg123-dev,
 libneon27-gnutls-dev,
 libnotify-dev,
 libogg-dev,
 libopenmpt-dev,
 libopus-dev,
 libopusfile-dev,
 libpipewire-0.3-dev,
 libpulse-dev [linux-any],
 libsamplerate0-dev,
 libsdl2-dev,
 libsidplayfp-dev,
 libsndfile1-dev,
 libsndio-dev,
 libsoxr-dev,
 libtag-c-dev,
 libvorbis-dev,
 libwavpack-dev,
 libxcomposite-dev,
 libxml2-dev,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-multimedia-dev,
Standards-Version: 4.7.2
Homepage: https://www.audacious-media-player.org/
Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious-plugins
Vcs-Git: https://salsa.debian.org/multimedia-team/audacious-plugins.git

Package: audacious-plugins
Architecture: any
Multi-Arch: same
Depends:
 audacious-plugins-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 audacious (>= 4.1~)
Breaks:
 audacious (<< 4.1~)
Description: Base plugins for audacious
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support.
 .
 This package contains the plugins for Audacious.
  * Audio CD reading
  * MPEG support (mp3)
  * Ogg Vorbis support
  * Windows Media support (WMA)
  * AAC support
  * FLAC support
  * ALAC support
  * WAVE support
  * ALSA output
  * Disk writer output
  * And many more!

Package: audacious-plugins-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Data files for Audacious plugins
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 This package contains internationalized messages and skins for
 Audacious plugins.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH),armel)
additional_confflags := -Dgl-spectrum=false
endif

ifeq ($(DEB_HOST_ARCH),armhf)
additional_confflags := -Dgl-spectrum=false
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- $(additional_confflags)

override_dh_auto_clean:
	-dh_auto_clean

## audacious-plugins 4.5

=== debian/changelog ===
audacious-plugins (4.5-0.1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add alternative BD libqt6opengl6-dev for older versions of Qt 6.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 11 Aug 2025 14:21:20 -0700

audacious-plugins (4.5+stable-0build1~ubuntu2204) jammy; urgency=medium

  * New upstream release

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Fri, 05 Apr 2024 08:23:45 +0200

=== debian/control ===
Source: audacious-plugins
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
# XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Andrej Shadura <andrewsh@debian.org>,
           Alf Gaida <agaida@siduction.org>,
           Mateusz Łukasik <mati75@linuxmint.pl>
Build-Conflicts: libroar-dev
Build-Depends: audacious-dev (>= 4.5~),
               debhelper-compat (= 13),
               libadplug-dev (>= 2.3.1~),
               libasound2-dev (>= 1.0) [linux-any],
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libbinio-dev (>= 1.4+dfsg1-4.1),
               libbs2b-dev,
               libcairo2-dev (>= 1.2.4),
               libcddb2-dev (>= 1.2.1),
               libcdio-cdda-dev (>= 0.70),
               libcue-dev (>= 2.0~),
               libcurl4-gnutls-dev,
               libfaad-dev,
               libflac-dev (>= 1.4.1~),
               libfluidsynth-dev [linux-any],
               libgtk-3-dev,
               libjack-jackd2-dev,
               libjson-glib-dev,
               liblirc-dev,
               libmad0-dev,
               libmms-dev (>= 0.3),
               libmodplug-dev,
               libmp3lame-dev,
               libmpg123-dev,
               libmtp-dev (>= 0.1.3),
               libneon27-gnutls-dev,
               libnotify-dev,
               libogg-dev (>= 1.0),
               libopenmpt-dev,
               libopusfile-dev,
               libpipewire-0.3-dev,
               libpulse-dev (>= 0.9) [linux-any],
               libqt6opengl6-dev | qt6-base-dev (>= 6.5),
               libresid-builder-dev,
               libsamplerate0-dev (>=0.0.15),
               libsdl2-dev,
               libshout-dev,
               libsidplay2-dev | libsidplay1-dev,
               libsidplayfp-dev (>= 2.3.0~),
               libsndfile1-dev (>= 0.19),
               libsoxr-dev,
               libvorbis-dev,
               libwavpack-dev (>= 4.31),
               libxcomposite-dev,
               meson,
               qt6-base-dev,
               qt6-multimedia-dev
Standards-Version: 4.6.2
Homepage: https://www.audacious-media-player.org/
Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious-plugins
Vcs-Git: https://salsa.debian.org/multimedia-team/audacious-plugins.git

Package: audacious-plugins
Architecture: any
Multi-Arch: same
Depends: audacious-plugins-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: audacious (>= 4.1~)
Breaks: audacious (<< 4.1~)
Description: Base plugins for audacious
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support.
 .
 This package contains the plugins for Audacious.
  * Audio CD reading
  * MPEG support (mp3)
  * Ogg Vorbis support
  * Windows Media support (WMA)
  * AAC support
  * FLAC support
  * ALAC support
  * WAVE support
  * ALSA output
  * OSS output
  * Disk writer output
  * And many more!

Package: audacious-plugins-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Data files for Audacious plugins
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 This package contains internationalized messages and skins for
 Audacious plugins.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifeq "$(DEB_HOST_ARCH)" "armel"
	confflags += -Dgl-spectrum=false
endif

ifeq "$(DEB_HOST_ARCH)" "armhf"
	confflags += -Dgl-spectrum=false
endif

%:
	dh $@ -Smeson --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	-Dsndio=false \
	-Dgtk=true \
	-Dqt=true \
	-Dstreamtuner=false \
	$(confflags)

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## audacious-plugins 4.5.1

=== src/aac/Makefile ===
PLUGIN = aac-raw${PLUGIN_SUFFIX}

SRCS = aac.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../..
LIBS += -lfaad -lm -laudtag

=== src/adplug/Makefile ===
PLUGIN = adplug${PLUGIN_SUFFIX}

SRCS = adplug-xmms.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CXXFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${ADLIB_CFLAGS} -I../..
LIBS += ${ADLIB_LIBS}

=== src/albumart-qt/Makefile ===
PLUGIN = albumart-qt${PLUGIN_SUFFIX}

SRCS = albumart.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../.. ${QT_CFLAGS}
LIBS += ${QT_LIBS} -laudqt

=== src/alsa/Makefile ===
PLUGIN = alsa${PLUGIN_SUFFIX}

SRCS = alsa.cc \
       config.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${OUTPUT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${ALSA_CFLAGS} -I../..
LIBS += ${ALSA_LIBS} -lrt

=== src/amidiplug/Makefile ===
PLUGIN = amidi-plug${PLUGIN_SUFFIX}

SRCS = amidi-plug.cc		\
       backend-fluidsynth/b-fluidsynth.cc \
       i_midi.cc			\
       i_configure.cc		\
       i_configure-fluidsynth.cc	\
       i_fileinfo.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${FLUIDSYNTH_CFLAGS} ${GLIB_CFLAGS} -I../..
LIBS += ${FLUIDSYNTH_LIBS} ${GLIB_LIBS} -lm

ifeq ($(USE_GTK),yes)
CPPFLAGS += ${GTK_CFLAGS}
LIBS += ${GTK_LIBS} -laudgui
endif

ifeq ($(USE_QT),yes)
CPPFLAGS += ${QT_CFLAGS}
LIBS += ${QT_LIBS} -laudqt
endif

=== src/asx3/Makefile ===
PLUGIN = asx3${PLUGIN_SUFFIX}

SRCS = asx3.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${CONTAINER_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${XML_CFLAGS} -I../..
LIBS += ${XML_LIBS}

=== src/audpl/Makefile ===
PLUGIN = audpl${PLUGIN_SUFFIX}

SRCS = audpl.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${CONTAINER_PLUGIN_DIR}

LD = ${CXX}

CPPFLAGS += -I../..
CFLAGS += ${PLUGIN_CFLAGS}

=== src/bitcrusher/Makefile ===
PLUGIN = bitcrusher${PLUGIN_SUFFIX}

SRCS = bitcrusher.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${EFFECT_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../..

=== src/blur_scope/Makefile ===
PLUGIN = blur_scope${PLUGIN_SUFFIX}

SRCS = blur_scope.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${VISUALIZATION_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} -I../..
LIBS += ${GTK_LIBS} -lm

=== src/bs2b/Makefile ===
PLUGIN = bs2b${PLUGIN_SUFFIX}

SRCS = plugin.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${EFFECT_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${BS2B_CFLAGS} -I../..
LIBS += ${BS2B_LIBS}

=== src/cdaudio/Makefile ===
PLUGIN = cdaudio-ng${PLUGIN_SUFFIX}

SRCS = cdaudio-ng.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${CDIO_CFLAGS} -I../..
LIBS += ${CDIO_LIBS}

=== src/compressor/Makefile ===
PLUGIN = compressor${PLUGIN_SUFFIX}

SRCS = compressor.cc

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${EFFECT_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../..
LIBS += -lm

=== debian/changelog ===
audacious-plugins (4.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump versioned dependencies.
  * Update debian/copyright.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 05 Oct 2025 12:52:44 +0200

audacious-plugins (4.4.2-4) unstable; urgency=medium

  * Team upload
  * debian/rules: Remove armel handling
  * debian/: Remove modplug plugin
  * debian/control: Switch to libjack-jackd2-dev as required by upstream

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 26 Sep 2025 12:28:23 +0200

=== debian/control ===
Source: audacious-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
 Alf Gaida <agaida@siduction.org>,
 Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends:
 audacious-dev (>= 4.5.1~),
 meson,
 debhelper-compat (= 13),
 libarchive-dev,
 libasound2-dev [linux-any],
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libbinio-dev,
 libbs2b-dev,
 libcairo2-dev,
 libcddb2-dev,
 libcdio-cdda-dev,
 libcue-dev,
 libcurl4-gnutls-dev,
 libfaad-dev,
 libflac-dev,
 libfluidsynth-dev [linux-any],
 libgtk-3-dev,
 libjack-jackd2-dev,
 libjson-glib-dev,
 liblirc-dev,
 libmms-dev,
 libmp3lame-dev,
 libmpg123-dev,
 libneon27-gnutls-dev,
 libnotify-dev,
 libogg-dev,
 libopenmpt-dev,
 libopus-dev,
 libopusfile-dev,
 libpipewire-0.3-dev,
 libpulse-dev [linux-any],
 libsamplerate0-dev,
 libsdl2-dev,
 libsidplayfp-dev,
 libsndfile1-dev,
 libsndio-dev,
 libsoxr-dev,
 libtag-c-dev,
 libvorbis-dev,
 libwavpack-dev,
 libxcomposite-dev,
 libxml2-dev,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-multimedia-dev,
Standards-Version: 4.7.2
Homepage: https://www.audacious-media-player.org/
Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious-plugins
Vcs-Git: https://salsa.debian.org/multimedia-team/audacious-plugins.git

Package: audacious-plugins
Architecture: any
Multi-Arch: same
Depends:
 audacious-plugins-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 audacious (>= 4.1~)
Breaks:
 audacious (<< 4.1~)
Description: Base plugins for audacious
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support.
 .
 This package contains the plugins for Audacious.
  * Audio CD reading
  * MPEG support (mp3)
  * Ogg Vorbis support
  * Windows Media support (WMA)
  * AAC support
  * FLAC support
  * ALAC support
  * WAVE support
  * ALSA output
  * Disk writer output
  * And many more!

Package: audacious-plugins-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Data files for Audacious plugins
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 This package contains internationalized messages and skins for
 Audacious plugins.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk

# openmp providing the same functionality is built
additional_confflags := -Dmodplug=false
ifeq ($(DEB_HOST_ARCH),armhf)
additional_confflags += -Dgl-spectrum=false
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- $(additional_confflags)

override_dh_auto_clean:
	-dh_auto_clean

=== debian/watch ===
version=4
https://distfiles.audacious-media-player.org/audacious-plugins-([^-]*)\.tar\.bz2
